# Copyright (c) 2016, Patrick Uiterwijk <patrick@puiterwijk.org>
# All rights reserved.
#
# This file is part of Basset.
#
# Basset is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Basset is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Basset.  If not, see <http://www.gnu.org/licenses/>.

from setuptools import setup, find_packages

setup(
    name = 'Basset',
    description = 'Anti-Spam system',
    version = '0.3',
    scripts = ['basset-frontend', 'basset-worker'],
    packages = find_packages(),

    author = 'Patrick Uiterwijk',
    author_email = 'puiterwijk@redhat.com',
    license = 'GPL',
    url = 'https://pagure.io/basset',

    install_requires = [
        'pymongo',
        'requests',
        'pika',
        'python-fedora',
        'flask',
        'python-Levenshtein',
        'mwclient',
    ]
)
